#include <Array.au3>
#include <WinAPI.au3>
$aRes = _GetGlobalResolution()
;~ _ArrayDisplay($aRes)

Func _GetGlobalResolution()
    Local $aRes[4], $hWindow, $stRET
    $hWindow = _WinAPI_GetDesktopWindow()
    $stRET = _WinAPI_GetWindowPlacement($hWindow)
    If Not @error Then
        $aRes[0] = DllStructGetData($stRET, 'rcNormalPosition', 1) ; left
        $aRes[1] = DllStructGetData($stRET, 'rcNormalPosition', 2) ; top
        $aRes[2] = DllStructGetData($stRET, 'rcNormalPosition', 3) ; right
        $aRes[3] = DllStructGetData($stRET, 'rcNormalPosition', 4) ; bottom
        Return $aRes
    Else
        Return SetError(1, 0, 0)
    EndIf
EndFunc   ;==>_GetGlobalResolution